import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { AccessEntity } from './access.entity';
import { IcynetActorEntity } from './icynet.entity';
import { DatabaseService } from './database.service';
import { ZoneEntity } from './zone.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([AccessEntity, ZoneEntity, IcynetActorEntity]),
  ],
  providers: [DatabaseService],
  exports: [DatabaseService],
})
export class DatabaseModule {}
